//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_AttachCameraHandlerWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(AttachCameraHandler), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("NewAttachCamera",FUNCTAG_NewAttachCamera);
		L.RegFunction("SetRect",FUNCTAG_SetRect);
		L.RegFunction("SetEnabled",FUNCTAG_SetEnabled);
		L.RegFunction("SetFieldOfView",FUNCTAG_SetFieldOfView);
		L.RegFunction("SetFarClipPlane",FUNCTAG_SetFarClipPlane);
		L.RegFunction("SetBackgroudColor",FUNCTAG_SetBackgroudColor);
		L.RegFunction("GetBackgroundColor",FUNCTAG_GetBackgroundColor);
		L.RegVar("camera",FUNCTAG_get_camera, FUNCTAG_set_camera);
		L.RegVar("bgCamera",FUNCTAG_get_bgCamera, FUNCTAG_set_bgCamera);
		L.RegVar("attachCameras",FUNCTAG_get_attachCameras, FUNCTAG_set_attachCameras);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_NewAttachCamera(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 4);
			AttachCameraHandler obj = (AttachCameraHandler)ToLua.CheckObject(L, 1, typeof(AttachCameraHandler));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			int arg1 = (int)LuaDLL.luaL_checknumber(L, 3);
			int arg2 = (int)LuaDLL.luaL_checknumber(L, 4);
			UnityEngine.Camera o = obj.FUNCTAG_NewAttachCamera(arg0, arg1, arg2);
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetRect(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			AttachCameraHandler obj = (AttachCameraHandler)ToLua.CheckObject(L, 1, typeof(AttachCameraHandler));
			UnityEngine.Rect arg0 = (UnityEngine.Rect)ToLua.CheckObject(L, 2, typeof(UnityEngine.Rect));
			obj.FUNCTAG_SetRect(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetEnabled(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			AttachCameraHandler obj = (AttachCameraHandler)ToLua.CheckObject(L, 1, typeof(AttachCameraHandler));
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.FUNCTAG_SetEnabled(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetFieldOfView(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			AttachCameraHandler obj = (AttachCameraHandler)ToLua.CheckObject(L, 1, typeof(AttachCameraHandler));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.FUNCTAG_SetFieldOfView(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetFarClipPlane(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			AttachCameraHandler obj = (AttachCameraHandler)ToLua.CheckObject(L, 1, typeof(AttachCameraHandler));
			int arg0 = (int)LuaDLL.luaL_checknumber(L, 2);
			obj.FUNCTAG_SetFarClipPlane(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetBackgroudColor(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			AttachCameraHandler obj = (AttachCameraHandler)ToLua.CheckObject(L, 1, typeof(AttachCameraHandler));
			UnityEngine.Color arg0 = ToLua.ToColor(L, 2);
			obj.FUNCTAG_SetBackgroudColor(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetBackgroundColor(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			AttachCameraHandler obj = (AttachCameraHandler)ToLua.CheckObject(L, 1, typeof(AttachCameraHandler));
			UnityEngine.Color o = obj.FUNCTAG_GetBackgroundColor();
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_camera(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AttachCameraHandler obj = (AttachCameraHandler)o;
			UnityEngine.Camera ret = obj.GetComponent<UnityEngine.Camera>();
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index camera on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_bgCamera(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AttachCameraHandler obj = (AttachCameraHandler)o;
			UnityEngine.Camera ret = obj.bgCamera;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index bgCamera on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_attachCameras(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AttachCameraHandler obj = (AttachCameraHandler)o;
			System.Collections.Generic.List<UnityEngine.Camera> ret = obj.attachCameras;
			ToLua.PushObject(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index attachCameras on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_camera(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AttachCameraHandler obj = (AttachCameraHandler)o;
			UnityEngine.Camera arg0 = (UnityEngine.Camera)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Camera));
			obj.mycamera = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index camera on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_bgCamera(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AttachCameraHandler obj = (AttachCameraHandler)o;
			UnityEngine.Camera arg0 = (UnityEngine.Camera)ToLua.CheckUnityObject(L, 2, typeof(UnityEngine.Camera));
			obj.bgCamera = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index bgCamera on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_set_attachCameras(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			AttachCameraHandler obj = (AttachCameraHandler)o;
			System.Collections.Generic.List<UnityEngine.Camera> arg0 = (System.Collections.Generic.List<UnityEngine.Camera>)ToLua.CheckObject(L, 2, typeof(System.Collections.Generic.List<UnityEngine.Camera>));
			obj.attachCameras = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index attachCameras on a nil value" : e.Message);
		}
	}
}

